

struct laminar_st {
    int dim;
    int **tt;
    double *a, *b, *c;
};

struct laminar_st *laminartt_make(int dim);
double flaminartt(int dim, double x[], struct laminar_st *p);
double ilaminartt(int dim, int    x[], struct laminar_st *p);
void laminar_print(struct laminar_st *p);




/* laminar2 = sum(ax^2 + bx + c) */
double flaminar2(int dim, double x[], int v[]);
double ilaminar2(int dim, int    x[], int v[]);


/* laminar = sum(f(x)) */
/*   f(x) = ax^4 + bx^3 + cx^2 + dx + e  (type 4) */
/*   f(x) = ax^2 + bx + c                (type 2) */
/*   f(x) = a * exp(b)                   (type E) */
/*   f(x) = -a * log(bx + c)             (type L) */
double flaminar(const int dim, double x[], int v[]);
